import { ParameterDeclaration, Type } from "ts-morph";
import { OpenAPIV3 } from "openapi-types";
export declare const definitions: {};
export declare function getResponseObject(responseType?: Type): OpenAPIV3.ResponseObject;
export declare function getMethodParameters(parameters: ParameterDeclaration[]): {
    requestBody?: OpenAPIV3.RequestBodyObject | undefined;
    parameters: OpenAPIV3.ParameterObject[];
};
export declare function getContentType(type: Type): "text/plain" | "application/json";
