import { ClassDeclaration, MethodDeclaration, Type } from "ts-morph";
export declare const isPrimitive: (type: Type) => boolean;
export declare function getControllers(tsConfigFilePath?: string): ClassDeclaration[];
export declare function getMethodDetails(method: MethodDeclaration): {
    path: string;
    httpMethodType: string;
    description: string;
    responseType: Type<import("@ts-morph/common/lib/typescript").Type>;
    parameters: import("ts-morph").ParameterDeclaration[];
} | undefined;
