"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOpenapiPath = void 0;
function getOpenapiPath(basePath, methodPath) {
    const path = basePath + "/" + methodPath;
    return path
        .replace(/(\/?:[a-z]+)(\/)?/gi, ($1) => `{${$1.replace(/[:/]/g, "")}}`)
        .replace(/{/g, "/{")
        .replace(/}/g, "}/")
        .replace(/\?/g, "")
        .replace(/\/+/g, "/")
        .replace(/\/$/g, "")
        .replace(/\:$/g, "");
}
exports.getOpenapiPath = getOpenapiPath;
