import { OpenAPIV3 } from "openapi-types";
interface IMinMaxKeyword {
    (count: number): any;
}
interface IPatternKeyword {
    (pattern: RegExp | string): any;
}
interface ISchemaKeyword {
    (schema: OpenAPIV3.SchemaObject): any;
}
export declare const Min: IMinMaxKeyword;
export declare const Max: IMinMaxKeyword;
export declare const Pattern: IPatternKeyword;
export declare const Date: PropertyDecorator & ParameterDecorator;
export declare const Time: PropertyDecorator & ParameterDecorator;
export declare const DateTime: PropertyDecorator & ParameterDecorator;
export declare const Duration: PropertyDecorator & ParameterDecorator;
export declare const Uri: PropertyDecorator & ParameterDecorator;
export declare const UriReference: PropertyDecorator & ParameterDecorator;
export declare const UriTemplate: PropertyDecorator & ParameterDecorator;
export declare const Email: PropertyDecorator & ParameterDecorator;
export declare const Hostname: PropertyDecorator & ParameterDecorator;
export declare const Ipv4: PropertyDecorator & ParameterDecorator;
export declare const Ipv6: PropertyDecorator & ParameterDecorator;
export declare const Regex: PropertyDecorator & ParameterDecorator;
export declare const Uuid: PropertyDecorator & ParameterDecorator;
export declare const JsonPointer: PropertyDecorator & ParameterDecorator;
export declare const RelativeJsonPointer: PropertyDecorator & ParameterDecorator;
export declare const NumberString: PropertyDecorator & ParameterDecorator;
export declare const Schema: ISchemaKeyword;
export {};
