"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getControllerPath = exports.getControllerTag = void 0;
function getControllerTag(controller) {
    var _a;
    const tag = controller.getNameOrThrow().replace("Controller", "");
    let description = (_a = controller.getJsDocs()[0]) === null || _a === void 0 ? void 0 : _a.getDescription();
    if (description) {
        description = description.replace(/^\n/g, "");
    }
    return { name: tag, description };
}
exports.getControllerTag = getControllerTag;
function getControllerPath(controller, prefix) {
    var _a, _b;
    return (prefix || "") + "/" + (((_b = (_a = controller.getDecorator("Controller")) === null || _a === void 0 ? void 0 : _a.getArguments()[0]) === null || _b === void 0 ? void 0 : _b.getLiteralValue()) || "");
}
exports.getControllerPath = getControllerPath;
