"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageInfo = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
function getPackageInfo() {
    const { name, version, description } = JSON.parse((0, fs_1.readFileSync)((0, path_1.resolve)("./package.json"), { encoding: "utf-8" }));
    return { title: name, version, description };
}
exports.getPackageInfo = getPackageInfo;
